Subject: Re: [bug#28398] Xfburn
From: Christopher Baines <[email-masked]>
To: ng0 <[email-masked]>
Cc: [email-masked], Thomas Schmitt <[email-masked]>
Date: Thu, 01 Feb 2018 23:04:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 <[email-masked]> writes:

> Thomas Schmitt transcribed 2.0K bytes:
>> Hi,
>> 
>> the patches look good to me (which does not have to mean much),
>> About the Xfburn 
>> 
>> ng0 wrote:
>> > 1. No Drive found (thanks Cpt. Obvious, I have no optical drive here).
>> 
>> You may at least try creating an ISO image file instead of burning.
>> Choose "New Data Composition", click the "+ Add" button, choose some
>> file by single click (double click crashes my local Xfburn), click
>> the "Add" button at the lower left, click "Proceed to Burn" at the
>> lower left, check "Only create ISO" and choose a file name for the ISO
>> image file.
>> 
>> There is a software emulator for some combinations of optical drives
>> and media types:
>>   http://cdemu.sourceforge.net/about
>> It is quite a poor surrogate to a real DVD or BD drive, but at least
>> the current bug carer of K3B uses it with some success.
>
> I didn't use cdemu - I would need to package that - but I mounted the data
> collection type .iso I recorded into an ISO file. From what I can tell, it works.
>
> I have issues with the icons, but that's just my personal WM/DM (which is pretty sminimal)
> and can be addressed later on (this is trivial and you just need the right icon set).
>
> I'll attach the latest patches.
> Let's just merge this now and address the rest later, okay?
> I have other issues I need to work on, and from where I stand this
> is done - all the basic issues have been fixed.
> I appreciate the help Thomas, thanks for what you have done. It's
> extraordinary, we usually don't get it like this.

Thanks for following up on this ng0. I've finally got around to looking
at Xfburn again and I've now pushed these 4 patches.

I ammended the commit message for the last one to add that the removed
inputs are not referenced by the output (before removing them), which
makes me more confident that something isn't breaking. As xorriso was
changed, I also ran the iso-image-installer test, and that passed.

Thanks again,

Chris